<?php

namespace Drp\EventPalAdmin\Http\Controllers;

use Drp\NativeEventApp\Models\Agenda;
use Inertia\Inertia;
use Inertia\Response;

class AgendaController extends Controller
{
    public function index(): Response
    {
        return Inertia::render('Agenda/Index', [
            'agenda' => Agenda::orderBy('id', 'asc')->get()
                ->transform(function ($agenda) {
                    return [
                        'id' => $agenda->id,
                        'items' => $agenda->items,
                    ];
                }),
        ]);
    }
}
